Project

General

Profile

Porting #814

pacstrap from x86 working (with some workarrounds)

GNUtoo - about 7 years ago - . Updated over 6 years ago.

Status:
fixed
Priority:
bug
Assignee:
-
% Done:

100%


Description

Here is the log
```
  1. make
    mkdir -p mnt
    pacman-key --lsign-key
    -> Locally signing key ...
    > Updating trust database...
    gpg: next trustdb check due at 2016-01-22
    pacstrap -c -d -C ./pacman.conf ./mnt/ base archlinuxarm-keyring
    > Creating install root at ./mnt/
    ==> Installing packages to ./mnt/
    :: Synchronizing package databases...
    libre is up to date
    error: failed retrieving file 'core.db' from repo.parabola.nu : The requested URL returned error: 404
    core 208.9 KiB 236K/s 00:01 [###########################################] 100%
    error: failed retrieving file 'extra.db' from repo.parabola.nu : The requested URL returned error: 404
    extra 2.3 MiB 183K/s 00:13 [###########################################] 100%
    error: failed retrieving file 'community.db' from repo.parabola.nu : The requested URL returned error: 404
    uid [ full ] Arch Linux ARM Build System <> community error: failed retrieving file 'community.db' from mirror.archlinuxarm.org : Operation too slow. Less than 1 bytes/sec transferred the last 10 seconds
    error: failed to update community (download library error)
    :: There are 51 members in group base:
    :: Repository libre
    1) filesystem 2) linux-libre 3) pacman 4) your-freedom
    :: Repository core
    5) bash 6) bzip2 7) coreutils 8) cryptsetup 9) device-mapper 10) dhcpcd 11) diffutils 12) e2fsprogs 13) file
    14) findutils 15) gawk 16) gcc-libs 17) gettext 18) glibc 19) grep 20) gzip 21) inetutils 22) iproute2
    23) iputils 24) jfsutils 25) less 26) licenses 27) logrotate 28) lvm2 29) man-db 30) man-pages 31) mdadm 32) nano
    33) netctl 34) pacman-mirrorlist 35) pciutils 36) perl 37) procps-ng 38) psmisc 39) reiserfsprogs 40) s-nail
    41) sed 42) shadow 43) sysfsutils 44) systemd-sysvcompat 45) tar 46) texinfo 47) usbutils 48) util-linux 49) vi
    50) which 51) xfsprogs

Enter a selection (default=all):
resolving dependencies...
looking for conflicting packages...

Packages (125) acl-2.2.52-2 archlinux-keyring-20150605-1 ath9k-htc-firmware-1.4.0-1 attr-2.4.47-1
ca-certificates-20150402-1 ca-certificates-cacert-20140824-2 ca-certificates-mozilla-3.20-1
ca-certificates-utils-20150402-1 cracklib-2.9.4-1 curl-7.44.0-1 db-5.3.28-2 dbus-1.10.0-3 expat-2.1.0-4
gdbm-1.11-1 glib2-2.44.1-1 gmp-6.0.0-2 gnupg-2.1.8-3 gnutls-3.4.5-1 gpgme-1.6.0-1 groff-1.22.3-3
hwids-20150717-1 iana-etc-2.30-5 iptables-1.4.21-3 kbd-2.0.3-1 keyutils-1.5.9-1 kmod-21-2 krb5-1.13.2-1
libaio-0.3.110-1 libarchive-3.1.2-8 libassuan-2.2.1-1 libcap-2.24-2 libdbus-1.10.0-3 libffi-3.2.1-1
libgcrypt-1.6.4-1 libgpg-error-1.20-1 libidn-1.32-1 libksba-1.3.3-1 libldap-2.4.42-2 libpipeline-1.4.1-1
libsasl-2.1.26-7 libseccomp-2.2.3-1 libssh2-1.6.0-1 libsystemd-226-1 libtasn1-4.7-1 libtirpc-0.3.2-2
libunistring-0.9.6-1 libusb-1.0.19-1 libutil-linux-2.27-2 linux-api-headers-4.1.4-1
linux-libre-firmware-4.2_gnu-1 lz4-131-1 lzo-2.09-1 mpfr-3.1.3.p4-1 ncurses-6.0-3 nettle-3.1.1-1
npth-1.2-1 openfwwf-5.2-2 openresolv-3.7.0-1 openssl-1.0.2.d-1 p11-kit-0.23.1-2 pam-1.2.1-1
pambase-20130928-1 parabola-keyring-20150925-1 pcre-8.37-4 pinentry-0.9.5-2 popt-1.16-7 pth-2.0.7-5.1
readline-6.3.008-3 systemd-226-1.parabola1 thin-provisioning-tools-0.4.1-1 tzdata-2015f-1 xz-5.2.1-1
zlib-1.2.8-4 archlinuxarm-keyring-20140119-1 bash-4.3.042-3 bzip2-1.0.6-5 coreutils-8.24-1
cryptsetup-1.6.7-1 device-mapper-2.02.125-1 dhcpcd-6.9.3-1 diffutils-3.3-2 e2fsprogs-1.42.12-2
file-5.25-1 filesystem-2015.02-1.parabola1 findutils-4.4.2-6 gawk-4.1.3-1 gcc-libs-5.2.0-2
gettext-0.19.6-1 glibc-2.22-3 grep-2.21-2 gzip-1.6-1 inetutils-1.9.4-2.1 iproute2-4.0.0-2
iputils-20140519.fad11dc-1 jfsutils-1.1.15-4 less-481-2 licenses-20140629-1 linux-libre-4.1.6_gnu-1.1
logrotate-3.9.1-1 lvm2-2.02.125-1 man-db-2.7.2-1 man-pages-4.02-1 mdadm-3.3.4-1 nano-2.4.2-2
netctl-1.11-1 pacman-4.2.1-2.parabola2 pacman-mirrorlist-20150925-1 pciutils-3.3.1-1 perl-5.22.0-1
procps-ng-3.3.11-2 psmisc-22.21-3 reiserfsprogs-3.6.24-1 s-nail-14.8.5-1 sed-4.2.2-3 shadow-4.2.1-3
sysfsutils-2.1.0-9 systemd-sysvcompat-226-1 tar-1.28-1 texinfo-5.2-4 usbutils-008-1 util-linux-2.27-2
vi-1:070224-2 which-2.21-1 xfsprogs-3.2.4-1 your-freedom-20150909-1

Total Download Size: 1.05 MiB
Total Installed Size: 365.75 MiB

:: Proceed with installation? [Y/n]
:: Retrieving packages ...
error: failed retrieving file 'iana-etc-2.30-5-any.pkg.tar.xz' from repo.parabola.nu : Operation too slow. Less than 1 bytes/sec transferred the last 10 seconds
iana-etc-2.30-5-any 346.6 KiB 101K/s 00:03 [###########################################] 100%
error: failed retrieving file 'tzdata-2015f-1-any.pkg.tar.xz' from repo.parabola.nu : The requested URL returned error: 404
tzdata-2015f-1-any 216.9 KiB 144K/s 00:02 [###########################################] 100%
error: failed retrieving file 'ca-certificates-utils-20150402-1-any.pkg.tar.xz' from repo.parabola.nu : The requested URL returned error: 404
ca-certificates-utils-20150402-1-any 6.6 KiB 79.5K/s 00:00 [###########################################] 100%
error: failed retrieving file 'ca-certificates-cacert-20140824-2-any.pkg.tar.xz' from repo.parabola.nu : The requested URL returned error: 404
ca-certificates-cacert-20140824-2-any 6.2 KiB 73.6K/s 00:00 [###########################################] 100%
error: failed retrieving file 'ca-certificates-20150402-1-any.pkg.tar.xz' from repo.parabola.nu : The requested URL returned error: 404
ca-certificates-20150402-1-any 784.0 B 6.38K/s 00:00 [###########################################] 100%
error: failed retrieving file 'archlinux-keyring-20150605-1-any.pkg.tar.xz' from repo.parabola.nu : The requested URL returned error: 404
archlinux-keyring-20150605-1-any 500.0 KiB 200K/s 00:02 [###########################################] 100%
error: failed retrieving file 'pambase-20130928-1-any.pkg.tar.xz' from repo.parabola.nu : The requested URL returned error: 404
pambase-20130928-1-any 1724.0 B 15.7K/s 00:00 [###########################################] 100%
(125/125) checking keys in keyring [###########################################] 100%
(125/125) checking package integrity [###########################################] 100%
(125/125) loading package files [###########################################] 100%
(125/125) checking for file conflicts [###########################################] 100%
(125/125) checking available disk space [###########################################] 100%
( 1/125) installing iana-etc [###########################################] 100%
( 2/125) installing filesystem [###########################################] 100%
( 3/125) installing linux-api-headers [###########################################] 100%
( 4/125) installing tzdata [###########################################] 100%
( 5/125) installing glibc [###########################################] 100%
( 6/125) installing attr [###########################################] 100%
( 7/125) installing acl [###########################################] 100%
( 8/125) installing gcc-libs [###########################################] 100%
( 9/125) installing ncurses [###########################################] 100%
( 10/125) installing readline [###########################################] 100%
( 11/125) installing bash [###########################################] 100%
Optional dependencies for bash
bash-completion: for tab completion
( 12/125) installing gmp [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 13/125) installing libcap [###########################################] 100%
( 14/125) installing zlib [###########################################] 100%
( 15/125) installing gdbm [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 16/125) installing db [###########################################] 100%
( 17/125) installing perl [###########################################] 100%
( 18/125) installing openssl [###########################################] 100%
Optional dependencies for openssl
ca-certificates [pending]
( 19/125) installing coreutils [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 20/125) installing ath9k-htc-firmware [###########################################] 100%
( 21/125) installing openfwwf [###########################################] 100%
( 22/125) installing linux-libre-firmware [###########################################] 100%
( 23/125) installing xz [###########################################] 100%
( 24/125) installing kmod [###########################################] 100%
( 25/125) installing linux-libre [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
Optional dependencies for linux-libre
crda: to set the correct wireless channels of your country
( 26/125) installing bzip2 [###########################################] 100%
( 27/125) installing expat [###########################################] 100%
( 28/125) installing lzo [###########################################] 100%
( 29/125) installing libarchive [###########################################] 100%
( 30/125) installing findutils [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 31/125) installing pcre [###########################################] 100%
( 32/125) installing less [###########################################] 100%
( 33/125) installing gzip [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 34/125) installing texinfo [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 35/125) installing libtasn1 [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 36/125) installing libffi [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 37/125) installing p11-kit [###########################################] 100%
( 38/125) installing ca-certificates-utils [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 39/125) installing ca-certificates-mozilla [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 40/125) installing ca-certificates-cacert [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 41/125) installing ca-certificates [###########################################] 100%
( 42/125) installing libutil-linux [###########################################] 100%
( 43/125) installing e2fsprogs [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 44/125) installing libsasl [###########################################] 100%
( 45/125) installing libldap [###########################################] 100%
( 46/125) installing keyutils [###########################################] 100%
( 47/125) installing krb5 [###########################################] 100%
( 48/125) installing libidn [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 49/125) installing libssh2 [###########################################] 100%
( 50/125) installing curl [###########################################] 100%
( 51/125) installing libgpg-error [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 52/125) installing mpfr [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 53/125) installing gawk [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 54/125) installing pth [###########################################] 100%
( 55/125) installing npth [###########################################] 100%
( 56/125) installing libgcrypt [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 57/125) installing libksba [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 58/125) installing libassuan [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 59/125) installing pinentry [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
Optional dependencies for pinentry
gtk2: for gtk2 backend
qt4: for qt4 backend
( 60/125) installing nettle [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 61/125) installing gnutls [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
Optional dependencies for gnutls
guile: for use with Guile bindings
( 62/125) installing gnupg [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
Optional dependencies for gnupg
libldap: gpg2keys_ldap [installed]
libusb-compat: scdaemon
( 63/125) installing gpgme [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 64/125) installing pacman-mirrorlist [###########################################] 100%
( 65/125) installing archlinux-keyring [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 66/125) installing parabola-keyring [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 67/125) installing pacman [###########################################] 100%
Optional dependencies for pacman
cron: run specified programs at scheduled times and related tools
call to execv failed (Exec format error)
error: command failed to execute correctly
( 68/125) installing your-freedom [###########################################] 100%
( 69/125) installing lz4 [###########################################] 100%
( 70/125) installing libsystemd [###########################################] 100%
( 71/125) installing libdbus [###########################################] 100%
( 72/125) installing dbus [###########################################] 100%
Optional dependencies for dbus
libx11: dbus-launch support
( 73/125) installing iptables [###########################################] 100%
( 74/125) installing cracklib [###########################################] 100%
( 75/125) installing libtirpc [###########################################] 100%
( 76/125) installing pambase [###########################################] 100%
( 77/125) installing pam [###########################################] 100%
( 78/125) installing kbd [###########################################] 100%
( 79/125) installing hwids [###########################################] 100%
( 80/125) installing libseccomp [###########################################] 100%
( 81/125) installing shadow [###########################################] 100%
( 82/125) installing util-linux [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
Optional dependencies for util-linux
python: python bindings to libmount
( 83/125) installing systemd [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
Optional dependencies for systemd
cryptsetup: required for encrypted block devices [pending]
libmicrohttpd: remote journald capabilities
quota-tools: kernel-level quota management
systemd-sysvcompat: symlink package to provide sysvinit binaries [pending]
polkit: allow administration as unprivileged user
( 84/125) installing device-mapper [###########################################] 100%
( 85/125) installing popt [###########################################] 100%
( 86/125) installing cryptsetup [###########################################] 100%
( 87/125) installing dhcpcd [###########################################] 100%
( 88/125) installing diffutils [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 89/125) installing file [###########################################] 100%
( 90/125) installing glib2 [###########################################] 100%
Optional dependencies for glib2
python2: for gdbus-codegen and gtester-report
elfutils: gresource inspection tool
( 91/125) installing libunistring [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 92/125) installing gettext [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
Optional dependencies for gettext
git: for autopoint infrastructure updates
( 93/125) installing grep [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 94/125) installing inetutils [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
( 95/125) installing iproute2 [###########################################] 100%
Optional dependencies for iproute2
linux-atm: ATM support
( 96/125) installing sysfsutils [###########################################] 100%
( 97/125) installing iputils [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
Optional dependencies for iputils
xinetd: for tftpd
( 98/125) installing jfsutils [###########################################] 100%
( 99/125) installing licenses [###########################################] 100%
(100/125) installing logrotate [###########################################] 100%
(101/125) installing libaio [###########################################] 100%
(102/125) installing thin-provisioning-tools [###########################################] 100%
(103/125) installing lvm2 [###########################################] 100%
(104/125) installing groff [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
Optional dependencies for groff
netpbm: for use together with man -H command interaction in browsers
psutils: for use together with man -H command interaction in browsers
libxaw: for gxditview
(105/125) installing libpipeline [###########################################] 100%
(106/125) installing man-db [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
Optional dependencies for man-db
gzip [installed]
(107/125) installing man-pages [###########################################] 100%
(108/125) installing mdadm [###########################################] 100%
(109/125) installing nano [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
(110/125) installing openresolv [###########################################] 100%
(111/125) installing netctl [###########################################] 100%
Optional dependencies for netctl
dialog: for the menu based wifi assistant
dhclient: for DHCP support (or dhcpcd)
dhcpcd: for DHCP support (or dhclient) [installed]
wpa_supplicant: for wireless networking support
ifplugd: for automatic wired connections through netctl-ifplugd
wpa_actiond: for automatic wireless connections through netctl-auto
ppp: for PPP connections
openvswitch: for Open vSwitch connections
(112/125) installing pciutils [###########################################] 100%
(113/125) installing procps-ng [###########################################] 100%
(114/125) installing psmisc [###########################################] 100%
(115/125) installing reiserfsprogs [###########################################] 100%
(116/125) installing s-nail [###########################################] 100%
Optional dependencies for s-nail
smtp-forwarder: for sending mail
(117/125) installing sed [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
(118/125) installing systemd-sysvcompat [###########################################] 100%
(119/125) installing tar [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
(120/125) installing libusb [###########################################] 100%
(121/125) installing usbutils [###########################################] 100%
Optional dependencies for usbutils
python2: for lsusb.py usage
coreutils: for lsusb.py usage [installed]
(122/125) installing vi [###########################################] 100%
Optional dependencies for vi
s-nail: used by the preserve command for notification [installed]
(123/125) installing which [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
(124/125) installing xfsprogs [###########################################] 100%
(125/125) installing archlinuxarm-keyring [###########################################] 100%
call to execv failed (Exec format error)
error: command failed to execute correctly
call to execv failed (Exec format error)
error: command failed to execute correctly
```


Files

parabola-arm.tar.xz (644 Bytes) parabola-arm.tar.xz GNUtoo, 2015-09-26 02:33 PM

History

#1

Updated by GNUtoo about 7 years ago

The tarball contains the Makefile, pacman.conf and mirrorlist.

#2

Updated by Anonymous almost 7 years ago

  • Assignee set to Anonymous
#3

Updated by Anonymous almost 7 years ago

Those files could be added to our wiki about building armv7h packages on a x86 system [0] or create a new one

[0]:https://wiki.parabola.nu/Building_armv7h_packages_on_a_x86_system

#4

Updated by Anonymous almost 7 years ago

  • % Done changed from 0 to 100
  • Status changed from open to fixed

Arch ARM official mirror wasn't needed because we have a entire system for armv7h, but not complete, because we just need create a package will be called uboot-grub (with our MLO u-boot.img files for each hardware) adapted to works for GRUB and our custom kernels with different names (eg. vmlinuz-linux-libre and vmlinuz-linux-libre-grsec) to install 2 or more kernels in the same system without conflicts between them.
Check the changes based on your work for our article [0], if you consider that it needs expansion, you are free to do it :)

Thanks all for the good work!

[0]:https://wiki.parabola.nu/Building_armv7h_packages_on_a_x86_system

#5

Updated by Anonymous over 6 years ago

  • Project changed from 19 to Ports

Also available in: Atom PDF